<?php

declare(strict_types=1);

namespace Dedi\SyliusTranslationPlugin\Controller\Admin;

use Symfony\Component\HttpFoundation\Request;
use Symfony\Component\HttpFoundation\Response;
use Twig\Environment;

final class TranslationIndexController
{
    private Environment $twig;

    public function __construct(Environment $twig)
    {
        $this->twig = $twig;
    }

    public function __invoke(Request $request): Response
    {
        $content = $this->twig->render('@DediSyliusTranslationPlugin/Admin/index.html.twig');

        return new Response($content);
    }
}
